<?php
defined('TYPO3') or die();

call_user_func(function () {
    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'FormCachingTests',
        'AllActionsCached',
        [\Waldhacker\FormCachingTests\Controller\AllActionsCachedController::class => 'render,perform'],
        [\Waldhacker\FormCachingTests\Controller\AllActionsCachedController::class => '']
    );

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'FormCachingTests',
        'RenderActionIsCached',
        [\Waldhacker\FormCachingTests\Controller\RenderActionIsCachedController::class => 'render,perform'],
        [\Waldhacker\FormCachingTests\Controller\RenderActionIsCachedController::class => 'perform']
    );

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'FormCachingTests',
        'AllActionsUncached',
        [\Waldhacker\FormCachingTests\Controller\AllActionsUncachedController::class => 'render,perform'],
        [\Waldhacker\FormCachingTests\Controller\AllActionsUncachedController::class => 'render,perform']
    );

    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScriptSetup('
        plugin.tx_form {
            settings {
                yamlConfigurations {
                    1628755200 = EXT:form_caching_tests/Configuration/Yaml/FormSetup.yaml
                }
            }
        }
        module.tx_form {
            settings {
                yamlConfigurations {
                    1628755200 = EXT:form_caching_tests/Configuration/Yaml/FormSetup.yaml
                }
            }
        }
    ');
});
