<?php declare(strict_types = 1);
namespace Waldhacker\FormCachingTests\Controller;

use Psr\Http\Message\ResponseInterface;
use TYPO3\CMS\Extbase\Http\ForwardResponse;
use TYPO3\CMS\Extbase\Mvc\Controller\ActionController;

class AllActionsUncachedController extends ActionController
{
    public function renderAction(): void
    {
        $this->view->assign('formIdentifier', 'AllActionsUncached-' . $this->configurationManager->getContentObject()->data['uid']);
    }

    public function performAction(): ForwardResponse
    {
        $this->forward('render');
    }
}
